z8530_tx_begin
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_tx_begin — Begin packet transmission

## Synopsis

`void z8530_tx_begin (` | struct z8530_channel * | c`)`;

## Arguments

`c`

  The Z8530 channel to kick

## Description

This is the speed sensitive side of transmission. If we are called and no buffer is being transmitted we commence the next buffer. If nothing is queued we idle the sync.

## Note

We are handling this code path in the interrupt path, keep it fast or bad things will happen.

Called with the lock held.

Prev | Up | Next
z8530_status_clear | Home | z8530_tx_done